#
# TODO:
# - jpeghdr (libjpeghdr doesn't seem to be freely available; was attached to some book?)
# - split progs package by libraries required
#
Summary:	pfstools for High Dynamic Range Images and Video
Summary(pl.UTF-8):	Narzędzia do obrazów i wideo o dużym zakresie luminancji
Name:		pfstools
Version:	1.9.1
Release:	3
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/pfstools/%{name}-%{version}.tar.gz
# Source0-md5:	f6f5966e248fd6979e6339725ea19c99
Patch0:		%{name}-opt.patch
Patch1:		%{name}-gdal.patch
Patch2:		%{name}-pc.patch
URL:		http://pfstools.sourceforge.net/
BuildRequires:	ImageMagick-c++-devel >= 6.0
BuildRequires:	OpenEXR-devel >= 1.0
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-glut-devel
BuildRequires:	QtGui-devel >= 4
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	gdal-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 2:2.0
BuildRequires:	netpbm-devel
BuildRequires:	octave-devel
BuildRequires:	qt4-build >= 4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		octave_m_dir	%(octave-config --m-site-dir)
%define		octave_oct_dir	%(octave-config --oct-site-dir)

%description
pfstools package is a set of command line (and one GUI) programs for
reading, writing, manipulating and viewing high-dynamic range (HDR)
images and video frames. All programs in the package exchange data
using Unix pipes and a simple generic HDR image format (pfs). The
concept of the pfstools is similar to netpbm package for low-dynamic
range images.

%description -l pl.UTF-8
Pakiet pfstools jest zestawiem programów służących do odczytu,
zapisu, obróbki i wyświetlania obrazów i klatek wideo o wysokim
zakresie dynamiki (HDR). Wszystkie programy wymieniają dane za
pomocą uniksowych rurek i prostego ogólnego formatu obrazów HDR
(pfs). Idea pfstools jest podobna do pakietu netpbm, używanego do
obrazów o niskim zakresie dynamiki.

%package devel
Summary:	Header files for pfstools
Summary(pl.UTF-8):	Pliki nagłówkowe pfstools
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The header files are only needed for development of programs using the
pfstools.

%description devel -l pl.UTF-8
W pakiecie tym znajdują się pliki nagłówkowe, przeznaczone dla
programistów używających bibliotek pfstools.

%package static
Summary:	Static pfstools libraries
Summary(pl.UTF-8):	Biblioteki statyczne pfstools
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static pfstools libraries.

%description static -l pl.UTF-8
Biblioteki statyczne pfstools.

%package progs
Summary:	pfstools utility programs
Summary(pl.UTF-8):	Narzędzia pfstools
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description progs
This package contains pfstools utility programs.

%description progs -l pl.UTF-8
Pakiet zawiera narzędzia pfstools.

%package -n octave-pfstools
Summary:	Octave bindings for pfstools
Summary(pl.UTF-8):	Wiązania języka Octave do pfstools
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}

%description -n octave-pfstools
Octave bindings for pfstools.

%description -n octave-pfstools -l pl.UTF-8
Wiązania języka Octave do pfstools.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	--disable-matlab \
	%{?debug:--enable-debug}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libpfs-1.2.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO doc/faq.txt doc/pfs_format_spec.pdf
%attr(755,root,root) %{_libdir}/libpfs-1.2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpfs-1.2.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpfs-1.2.so
%{_pkgconfigdir}/pfs.pc
%{_includedir}/pfs-1.2

%files static
%defattr(644,root,root,755)
%{_libdir}/libpfs-1.2.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pfs*
%{_datadir}/pfstools
%{_mandir}/man1/pfs*.1*

%files -n octave-pfstools
%defattr(644,root,root,755)
%dir %{octave_oct_dir}/pfstools
%attr(755,root,root) %{octave_oct_dir}/pfstools/pfs*.oct
%{octave_m_dir}/pfstools
%changelog
* Sun Nov 23 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pfstools.git;a=log;h=master

* Sun Nov 23 2014 Jan Rękorajski <baggins@pld-linux.org> 03e0b59
- release 3 (by relup.sh)

* Tue Nov 11 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 128ed72
- rel 2; fix pc file

* Mon Nov 10 2014 Jan Rękorajski <baggins@pld-linux.org> 1002c6f
- use proper path to gdal includes

* Mon Nov 10 2014 Jan Rękorajski <baggins@pld-linux.org> 85787a8
- up to 1.9.1

* Mon Oct 27 2014 Jan Rękorajski <baggins@pld-linux.org> b3c2176
- release 10 (by relup.sh)

* Sun Oct 26 2014 Jan Rękorajski <baggins@pld-linux.org> d426c1a
- release 9 (by relup.sh)

* Wed Apr 16 2014 Jan Rękorajski <baggins@pld-linux.org> 760b0f7
- release 8 (by relup.sh)

* Sun Mar 16 2014 Jan Rękorajski <baggins@pld-linux.org> 2825b32
- release 7 (by relup.sh)

* Mon Nov 04 2013 Jan Rękorajski <baggins@pld-linux.org> 629904e
- release 6 (by relup.sh)

* Mon Jun 24 2013 Jan Rękorajski <baggins@pld-linux.org> 6b95546
- release 5 (by relup.sh)

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> 2e836f3
- release 4 (by relup.sh)

* Thu Apr 04 2013 Jan Rękorajski <baggins@pld-linux.org> 7d42179
- fix printf format error
- rel 3

* Sat Mar 31 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 3ed184e
- release 2

* Sat Feb 04 2012 Jakub Bogusz <qboosh@pld-linux.org> fcfc072
- added opt patch: don't blindly overwrite our optflags, additionally breaking -g* options

* Fri Feb 03 2012 Jakub Bogusz <qboosh@pld-linux.org> aab7cb4
- build with gdal reader and octave binding

* Fri Feb 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 4173525
- updated to 1.8.5

* Thu Feb 02 2012 Jakub Bogusz <qboosh@pld-linux.org> a5a789b
- updated URL, general cleanup

* Thu Feb 07 2008 ankry <ankry@pld-linux.org> 27726a4
- unix -> Unix

* Mon Jul 09 2007 wolf <wolf@pld-linux.org> 4f16f43
- new

